Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036379
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] C. Securityminoralways2017-06-30 13:322017-09-21 16:49
ReporterjonibcView Statuspublic 
Assigned Tomarkmm82 
PriorityhighResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revisionb467bc3ae8c4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036379: Org Access is not added for inactive orgs creating new Role

DescriptionWhen a new Role (Automatic) is created, all org access are given for the existing organizations, but not for those inactive.
Steps To ReproduceCreate a new Organization and uncheck active flag (Create an Organization using OBProvider).

Add an automatic Role, check that Org Access for the inactive organization has not been created.

If the organization is set as Active, it is needed to create the Org Access manually.
Proposed SolutionInclude also inactive organizations in RoleEventHandler. Change OBCriteria to allow filter over inactive organizations. (By default OBCriteria applies filter active='Y')
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0030057 closedaferraz Org Access added automatically to all roles 

-  Notes
(0097960)
markmm82 (developer)
2017-07-07 20:11

Test Plan:
As Group Admin
1. Go to Organization window and set F&B España - Región Sur inactive (Active flag = false)
2. Go to Role windows and create a new role:
   Client = F&B International Group
   Organization = *
   Name = RoleWithClient+OrgAccess
   User Level = Client+Organization
   Save.
Notice after save 8 new entries has been created in Org Access tab. You will find also F&B España - Región Sur although it is inactive.

3. Go to Role windows and create a new role:
   Client = F&B International Group
   Organization = *
   Name = RoleWithOrgAccess
   User Level = Organization
   Save.
Notice after save 8 new entries has been created in Org Access tab. You will find also F&B España - Región Sur although it is inactive.

4. Go to Role windows and create a new role:
   Client = F&B International Group
   Organization = *
   Name = RoleWithClientAccess
   User Level = Client
   Save.
Notice after save only one entry is created for * Organization in the Org Acces tab.
(0097985)
hgbot (developer)
2017-07-10 16:36

Repository: erp/devel/pi
Changeset: b467bc3ae8c4e1b42a665fe9c1f4ef02c5e1c494
Author: Mark <markmm82 <at> gmail.com>
Date: Fri Jul 07 13:46:36 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/b467bc3ae8c4e1b42a665fe9c1f4ef02c5e1c494 [^]

Fixes issue 36379: Org Access is not added for inactive orgs creating new Role

When a new Role was created, all org access are given for the existing organizations,
but not for those inactive.

It was caused because OBCriteria applies filter active='Y' by default.

To fix it, criteria is set to not filter by Active organizations, this way it also takes
into account those inactive organizations.

---
M src/org/openbravo/event/RoleEventHandler.java
---
(0097986)
aferraz (developer)
2017-07-10 16:36

Code review + Testing OK
(0099263)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-06-30 13:32 jonibc New Issue
2017-06-30 13:32 jonibc Assigned To => platform
2017-06-30 13:32 jonibc Modules => Core
2017-06-30 13:32 jonibc Triggers an Emergency Pack => No
2017-06-30 13:32 jonibc Issue Monitored: jonibc
2017-06-30 13:35 jonibc Relationship added related to 0030057
2017-06-30 13:51 jonibc Steps to Reproduce Updated View Revisions
2017-06-30 15:01 caristu Assigned To platform => Triage Finance
2017-06-30 15:01 caristu Category A. Platform => C. Security
2017-07-03 09:35 vmromanos Status new => scheduled
2017-07-03 09:35 vmromanos Assigned To Triage Finance => collazoandy4
2017-07-03 09:36 vmromanos Severity major => minor
2017-07-07 18:49 markmm82 Assigned To collazoandy4 => markmm82
2017-07-07 20:11 markmm82 Note Added: 0097960
2017-07-10 16:36 hgbot Checkin
2017-07-10 16:36 hgbot Note Added: 0097985
2017-07-10 16:36 hgbot Status scheduled => resolved
2017-07-10 16:36 hgbot Resolution open => fixed
2017-07-10 16:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b467bc3ae8c4e1b42a665fe9c1f4ef02c5e1c494 [^]
2017-07-10 16:36 aferraz Review Assigned To => aferraz
2017-07-10 16:36 aferraz Note Added: 0097986
2017-07-10 16:36 aferraz Status resolved => closed
2017-07-10 16:36 aferraz Fixed in Version => 3.0PR17Q4
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099263


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker